Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jChatBox.Util
Class Conf

    java.lang.Object
      |
      +--jChatBox.Util.Conf

public class Conf
extends java.lang.Object

This class is a collection of constants for jChatBox.

Field Summary
`static java.lang.String` | `ACCESSDENIED`
`static int` | `APPLET`
`static java.lang.String` | `BACKUPDONE`
`static java.lang.String` | `BANNED`
`static int` | `BUFFEREDFRAMED`
`static java.lang.String` | `CANNOTKICKOFFORBAN`
`static java.lang.String` | `CHATROOMBLACKLISTCLEARED`
`static java.lang.String` | `CHATROOMCLOSED`
`static java.lang.String` | `CHATROOMIDMISSING`
`static java.lang.String` | `CHATROOMNAMEMISSING`
`static java.lang.String` | `CHATROOMNOTFOUND`
`static java.lang.String` | `CHATROOMOPENED`
`static java.lang.String` | `CHATROOMSUBJECTMISSING`
`static java.lang.String` | `CHATROOMTRANSCRIPTED`
`static java.lang.String` | `CHATROOMUPDATED`
`static java.lang.String` | `CLOSED`
`static int` | `FLASH`
`static int` | `FRAMED`
`static java.lang.String` | `INVALIDNAME`
`static java.lang.String` | `IPREMOVED`
`static java.lang.String` | `JSPMANAGECHATROOM`
`static java.lang.String` | `JSPMENU`
`static java.lang.String` | `JSPOPENCHATROOM`
`static java.lang.String` | `JSPROOM`
`static java.lang.String` | `JSPROOMCONTENT`
`static java.lang.String` | `JSPSYSTEMLOGIN`
`static java.lang.String` | `JSPUSERLOGIN`
`static java.lang.String` | `KICKEDOFF`
`static java.lang.String` | `NAMENOTAVAILABLE`
`static java.lang.String` | `NAMENOTFOUND`
`static int` | `NONFRAMED`
`static java.lang.String` | `NOVACANCIES`
`static int` | `REFRESHCONSTANT` T=Tlim.
`static int` | `REFRESHLOAD` T=1+(Tlim/UsersInChatroom).
`static int` | `REFRESHTRACK` T=2*Tlim*(1-Tlim/(Tlim+deltaT)).
`static java.lang.String` | `SYSTEMERROR`
`static java.lang.String` | `SYSTEMUSERJOINED`
`static java.lang.String` | `USERNAMEMISSING`
`static java.lang.String` | `XMLCONFIGUPDATED`

Constructor Summary
`Conf()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REFRESHCONSTANT

    public static final int REFRESHCONSTANT

  T=Tlim.

### REFRESHTRACK

    public static final int REFRESHTRACK

  T=2*Tlim*(1-Tlim/(Tlim+deltaT)).

### REFRESHLOAD

    public static final int REFRESHLOAD

  T=1+(Tlim/UsersInChatroom).

### NONFRAMED

    public static final int NONFRAMED

### FRAMED

    public static final int FRAMED

### BUFFEREDFRAMED

    public static final int BUFFEREDFRAMED

### APPLET

    public static final int APPLET

### FLASH

    public static final int FLASH

### CLOSED

    public static final java.lang.String CLOSED

### NOVACANCIES

    public static final java.lang.String NOVACANCIES

### NAMENOTAVAILABLE

    public static final java.lang.String NAMENOTAVAILABLE

### NAMENOTFOUND

    public static final java.lang.String NAMENOTFOUND

### INVALIDNAME

    public static final java.lang.String INVALIDNAME

### KICKEDOFF

    public static final java.lang.String KICKEDOFF

### BANNED

    public static final java.lang.String BANNED

### IPREMOVED

    public static final java.lang.String IPREMOVED

### CANNOTKICKOFFORBAN

    public static final java.lang.String CANNOTKICKOFFORBAN

### SYSTEMUSERJOINED

    public static final java.lang.String SYSTEMUSERJOINED

### ACCESSDENIED

    public static final java.lang.String ACCESSDENIED

### CHATROOMNAMEMISSING

    public static final java.lang.String CHATROOMNAMEMISSING

### CHATROOMSUBJECTMISSING

    public static final java.lang.String CHATROOMSUBJECTMISSING

### CHATROOMIDMISSING

    public static final java.lang.String CHATROOMIDMISSING

### CHATROOMNOTFOUND

    public static final java.lang.String CHATROOMNOTFOUND

### USERNAMEMISSING

    public static final java.lang.String USERNAMEMISSING

### SYSTEMERROR

    public static final java.lang.String SYSTEMERROR

### BACKUPDONE

    public static final java.lang.String BACKUPDONE

### CHATROOMOPENED

    public static final java.lang.String CHATROOMOPENED

### CHATROOMUPDATED

    public static final java.lang.String CHATROOMUPDATED

### CHATROOMCLOSED

    public static final java.lang.String CHATROOMCLOSED

### CHATROOMTRANSCRIPTED

    public static final java.lang.String CHATROOMTRANSCRIPTED

### CHATROOMBLACKLISTCLEARED

    public static final java.lang.String CHATROOMBLACKLISTCLEARED

### XMLCONFIGUPDATED

    public static final java.lang.String XMLCONFIGUPDATED

### JSPSYSTEMLOGIN

    public static final java.lang.String JSPSYSTEMLOGIN

### JSPMENU

    public static final java.lang.String JSPMENU

### JSPOPENCHATROOM

    public static final java.lang.String JSPOPENCHATROOM

### JSPMANAGECHATROOM

    public static final java.lang.String JSPMANAGECHATROOM

### JSPROOM

    public static final java.lang.String JSPROOM

### JSPROOMCONTENT

    public static final java.lang.String JSPROOMCONTENT

### JSPUSERLOGIN

    public static final java.lang.String JSPUSERLOGIN

Constructor Detail

### Conf

    public Conf()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD